Arbor 3: FSM & BT Graph Editor 3.7.5

Public Member Functions | Static Public Member Functions | List of all members
FlexibleExecuteMethodFlags Class Reference

Class to handle a flexible ExecuteMethodFlags type reference method there is more than one. More...

Inheritance diagram for FlexibleExecuteMethodFlags:

## Public Member Functions
| FlexibleExecuteMethodFlags ()
| FlexibleExecuteMethodFlags default constructor More...
| FlexibleExecuteMethodFlags (ExecuteMethodFlags value)
| FlexibleExecuteMethodFlags constructor More...
| FlexibleExecuteMethodFlags (AnyParameterReference parameter)
| FlexibleExecuteMethodFlags constructor More...
| FlexibleExecuteMethodFlags (InputSlotAny slot)
| FlexibleExecuteMethodFlags constructor More...
Public Member Functions inherited from FlexibleField< ExecuteMethodFlags >
override object | GetValueObject ()
| Return the value as object. More...
| FlexibleField ()
| FlexibleField default constructor More...
| FlexibleField (T value)
| FlexibleField constructor More...
| FlexibleField (AnyParameterReference parameter)
| FlexibleField constructor More...
| FlexibleField (InputSlotAny slot)
| FlexibleField constructor More...

## Static Public Member Functions
static | operator ExecuteMethodFlags (FlexibleExecuteMethodFlags flexible)
| Cast FlexibleExecuteMethodFlags to ExecuteMethodFlags. More...
static | operator FlexibleExecuteMethodFlags (ExecuteMethodFlags value)
| Cast ExecuteMethodFlags to FlexibleExecuteMethodFlags. More...
Static Public Member Functions inherited from FlexibleField< ExecuteMethodFlags >
static | operator T (FlexibleField< T > flexible)
| Cast FlexibleField to T. More...
static | operator FlexibleField< T > (T value)
| Cast T to FlexibleField. More...

## Additional Inherited Members
Protected Attributes inherited from FlexibleField< ExecuteMethodFlags >
T | _Value
| Constant value More...
AnyParameterReference | _Parameter
| Parameter reference More...
InputSlotAny | _Slot
| Data input slot More...
Properties inherited from FlexibleField< ExecuteMethodFlags >
override System.Type | fieldType`[get]`
| It returns a field type. More...
Parameter | parameter`[get]`
| It return a Paramter. More...
T | value`[get]`
| It returns a value More...

## Detailed Description

Class to handle a flexible ExecuteMethodFlags type reference method there is more than one.

## Constructor & Destructor Documentation

## ◆ FlexibleExecuteMethodFlags() [1/4]

FlexibleExecuteMethodFlags | ( |  | ) |

FlexibleExecuteMethodFlags default constructor

## ◆ FlexibleExecuteMethodFlags() [2/4]

FlexibleExecuteMethodFlags | ( | ExecuteMethodFlags | value | ) |

FlexibleExecuteMethodFlags constructor

Parameters

  value | Value

## ◆ FlexibleExecuteMethodFlags() [3/4]

FlexibleExecuteMethodFlags | ( | AnyParameterReference | parameter | ) |

FlexibleExecuteMethodFlags constructor

Parameters

  parameter | Parameter

## ◆ FlexibleExecuteMethodFlags() [4/4]

FlexibleExecuteMethodFlags | ( | InputSlotAny | slot | ) |

FlexibleExecuteMethodFlags constructor

Parameters

  slot | Slot

## Member Function Documentation

## ◆ operator ExecuteMethodFlags()

static operator ExecuteMethodFlags | ( | FlexibleExecuteMethodFlags | flexible | ) |
| explicit static

Cast FlexibleExecuteMethodFlags to ExecuteMethodFlags.

Parameters

  flexible | FlexibleExecuteMethodFlags

## ◆ operator FlexibleExecuteMethodFlags()

static operator FlexibleExecuteMethodFlags | ( | ExecuteMethodFlags | value | ) |
| explicit static

Cast ExecuteMethodFlags to FlexibleExecuteMethodFlags.

Parameters

  value | ExecuteMethodFlags